PETSc version 3.17.4
Fix/Edit manual page

# PetscDeviceContextGetStreamType

Get the implementation type of the underlying stream for a PetscDeviceContext

### Synopsis

    #include "petscdevice.h"
    PetscErrorCode PetscDeviceContextGetStreamType(PetscDeviceContext dctx, PetscStreamType *type)

Not Collective, Asynchronous

### Input Parameter

| dctx | - The PetscDeviceContext

### Output Parameter

| type | - The PetscStreamType

### Notes

See PetscStreamType in include/petscdevicetypes.h for more information on the available types and their interactions

### See Also

PetscDeviceContextSetStreamType(), PetscDeviceContextCreate(), PetscDeviceContextSetFromOptions()

### Level

intermediate

### Location

src/sys/objects/device/interface/dcontext.cxx
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages